SDL_ShouldQuit(3)

NAME
SDL_ShouldQuit - Return whether cleanup should be done.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

bool SDL_ShouldQuit(SDL_InitState *state);

DESCRIPTION
This function checks the passed in state and if cleanup should be done, sets the status to SDL_INIT_STATUS_UNINITIALIZING and returns true.

If this function returns true, the calling code must call SDL_SetInitialized() to complete the cleanup.

FUNCTION PARAMETERS

state
    the initialization state to check.

RETURN VALUE
Returns true if cleanup needs to be done, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetInitialized(3), SDL_ShouldInit(3)